diffFilter-methods {xps} | R Documentation

## Difference Filter

### Description

This method initializes the Difference Filter.
The difference is the maximum value minus minimum value for each row of the expression dataframe divided by the mean value of each row.
The Difference Filter flags all rows with: `flag = ((max - min)/mean >= cutoff)`

Usage

`diffFilter(object)`
`diffFilter(object, value)<-`

### Arguments

`object` | object of class `PreFilter`.
`value` | numeric vector `c(cutoff, trim, epsilon)`.

### Details

The method `diffFilter` initializes the following parameters:

| `cutoff`: | the cutoff level for the filter.
| `trim`: | the trim value for trimmed mean (default is `trim=0`).
| `epsilon`: | value to replace mean (default is `epsilon=0.01`):
|  | `epsilon > 0`: replace mean=0 with epsilon.
|  | `epsilon = 0`: always set mean=1.

Note, that for `epsilon = 0` the filter flags all rows with: (max - min) >= cutoff

### Value

An initialized `PreFilter` object.

### Author(s)

Christian Stratowa

### Examples

    prefltr <- PreFilter()
    diffFilter(prefltr) <- c(2.2,0.0,0.01)
    str(prefltr)

[Package xps version 1.2.10 Index]